## org.hibernate.tuple.entity
Class EntityEntityModeToTuplizerMapping

    java.lang.Object
      org.hibernate.tuple.EntityModeToTuplizerMapping
          org.hibernate.tuple.entity.EntityEntityModeToTuplizerMapping

All Implemented Interfaces:
  Serializable

    public class EntityEntityModeToTuplizerMapping

extends EntityModeToTuplizerMapping
implements Serializable

Handles mapping `EntityMode`s to `EntityTuplizer`s.

Most of the handling is really in the super class; here we just create the tuplizers and add them to the superclass

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`EntityEntityModeToTuplizerMapping(PersistentClass mappedEntity, EntityMetamodel em)` Instantiates a EntityEntityModeToTuplizerMapping based on the given entity mapping and metamodel definitions.

Method Summary

Methods inherited from class org.hibernate.tuple.EntityModeToTuplizerMapping
`addTuplizer, getTuplizer, getTuplizerOrNull, guessEntityMode, iterateTuplizers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityEntityModeToTuplizerMapping

    public EntityEntityModeToTuplizerMapping(PersistentClass mappedEntity,
                                             EntityMetamodel em)

  Instantiates a EntityEntityModeToTuplizerMapping based on the given entity mapping and metamodel definitions.

  Parameters:
    `mappedEntity` - The entity mapping definition.
    `em` - The entity metamodel definition.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.